.\" $FreeBSD: src/sbin/routed/rtquery/rtquery.8,v 1.1.1.1.2.6 1999/09/05 11:24:13 peter Exp $
.Dd June 1, 1996
.Dt RTQUERY 8
.Os BSD 4.4
.Sh NAME
.Nm rtquery
.Nd query routing daemons for their routing tables
.Sh SYNOPSIS
.Nm
.Op Fl np1
.Op Fl w Ar timeout
.Op Fl r Ar addr
.Op Fl a Ar secret
.Ar host ...

.Nm
.Op Fl t Ar op
.Ar host ...
.Sh DESCRIPTION
.Nm Rtquery
is used to query a RIP network routing daemon,
.Xr routed 8
or
.Xr gated 8 ,
for its routing table by sending a
.Em request
or
.Em poll
command.  The routing information in any routing
.Em response
packets returned is displayed numerically and symbolically.
.Pp
.Nm Rtquery
by default uses the
.Em request
command.
When the
.Fl p
option is specified,
.Nm rtquery
uses the
.Em poll
command, an
undocumented extension to the RIP protocol supported by
.Xr gated 8 .
When querying
.Xr gated 8 ,
the
.Em poll
command is preferred over the
.Em request
command because the response is not subject to Split Horizon and/or
Poisoned Reverse, and because some versions of
.Xr gated 8
do not answer
the
.Em request
command.
.Nm Routed
does not answer the
.Em poll
command, but
recognizes
.Em request
commands coming from
.Nm
and so answers completely.
.Pp
.Nm Rtquery
is also used to turn tracing on or off in
.Nm routed .
.Pp
Options supported by
.Nm rtquery :
.Bl -tag -width Ds
.It Fl n
Normally network and host numbers are displayed both symbolically
and numerically.
The
.Fl n
option displays only the numeric network and host numbers.
.It Fl p
Uses the
.Em Poll
command to request full routing information from
.Xr gated 8 .
This is an undocumented extension RIP protocol supported only by
.Xr gated 8 .
.It Fl 1
Query using RIP version 1 instead of RIP version 2.
.It Fl w Ar timeout
Changes the delay for an answer from each host.
By default, each host is given 15 seconds to respond.
.It Fl r Ar addr
Ask about the route to destination
.Em addr .
.It Fl a Ar passwd=XXX
.It Fl a Ar md5_passwd=XXX|KeyID
Cause the query to be sent with the indicated cleartext or MD5 password.
.It Fl t Ar op
Change tracing, where
.Em op
is one of the following.
Requests from processes not running with UID 0 or on distant networks
are generally ignored by the daemon except for a message in the system log.
.Xr Gated 8 
is likely to ignore these debugging requests.
.El
.Bl -tag -width Ds -offset indent-two
.It Em on=tracefile
Turn tracing on into the specified file.  That file must usually
have been specified when the daemon was started or be the same
as a fixed name, often
.Pa /etc/routed.trace .
.It Em more
Increases the debugging level.
.It Em off
turns off tracing.
.It Em dump
Dumps the daemon's routing table to the current tracefile.
.El
.Sh SEE ALSO
.Xr gated 8 ,
.Xr routed 8
.Rs
.%T Routing Information Protocol, RIPV1
.%O RFC1058
.Re
.Rs
.%T Routing Information Protocol, RIPv2
.%O RFC1723
.Re
